Analyzing.

Scheduled analysis is going on. Some of the information may be inconsistent. Sorry for the inconvenience.

Dancer-Plugin-SimpleCRUD

Metadata

Analyzed metadata and errors of Dancer-Plugin-SimpleCRUD.

{
   "abstracts_in_pod" : {
      "Dancer::Plugin::SimpleCRUD" : "very simple CRUD (create/read/update/delete)"
   },
   "author" : "BIGPRESH",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "example/views/layouts",
      "example/views",
      "example",
      "lib/Dancer/Plugin",
      "lib/Dancer",
      "lib",
      "t",
      "t"
   ],
   "dist" : "Dancer-Plugin-SimpleCRUD",
   "dynamic_config" : 1,
   "error" : {},
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_json" : "META.json",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "Changes",
      "MANIFEST",
      "META.json",
      "META.yml",
      "Makefile.PL",
      "README",
      "example/README.pod",
      "example/config.yml",
      "example/schema.sql",
      "example/simplecrud-example.pl",
      "example/test.sqlite",
      "example/views/contentwrapper.tt",
      "example/views/layouts/main.tt",
      "lib/Dancer/Plugin/SimpleCRUD.pm"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1414583558,
         "size" : 6516
      },
      "MANIFEST" : {
         "mtime" : 1414583579,
         "size" : 455
      },
      "META.json" : {
         "mtime" : 1414583579,
         "size" : 1404
      },
      "META.yml" : {
         "mtime" : 1414583579,
         "size" : 855
      },
      "Makefile.PL" : {
         "mtime" : 1328449163,
         "size" : 1117,
         "used" : [
            "ExtUtils::MakeMaker",
            "strict",
            "warnings"
         ]
      },
      "README" : {
         "mtime" : 1394115073,
         "size" : 17770
      },
      "example/README.pod" : {
         "mtime" : 1354145341,
         "size" : 717
      },
      "example/config.yml" : {
         "mtime" : 1367690957,
         "size" : 515
      },
      "example/schema.sql" : {
         "mtime" : 1355853152,
         "size" : 1755
      },
      "example/simplecrud-example.pl" : {
         "mtime" : 1367690957,
         "size" : 1294
      },
      "example/test.sqlite" : {
         "mtime" : 1394118226,
         "size" : 3072
      },
      "example/views/contentwrapper.tt" : {
         "mtime" : 1307378030,
         "size" : 21
      },
      "example/views/layouts/main.tt" : {
         "mtime" : 1367690957,
         "size" : 591
      },
      "lib/Dancer/Plugin/SimpleCRUD.pm" : {
         "license" : "GPL_1,GPL_2,GPL_3",
         "module" : "Dancer::Plugin::SimpleCRUD",
         "mtime" : 1414583526,
         "required_in_eval" : [
            "Text::CSV"
         ],
         "size" : 52808,
         "used" : [
            "CGI::FormBuilder",
            "Dancer",
            "Dancer::Plugin",
            "Dancer::Plugin::Database",
            "HTML::Entities",
            "HTML::Table::FromDatabase",
            "strict",
            "warnings"
         ]
      },
      "t/00-load.t" : {
         "mtime" : 1307378030,
         "no_index" : 1,
         "size" : 213,
         "used" : [
            "Test::More"
         ]
      },
      "t/manifest.t" : {
         "mtime" : 1307378030,
         "no_index" : 1,
         "size" : 272,
         "used" : [
            "Test::More",
            "strict",
            "warnings"
         ],
         "used_in_eval" : [
            "Test::CheckManifest"
         ]
      },
      "t/pod-coverage.t" : {
         "mtime" : 1307378030,
         "no_index" : 1,
         "size" : 551,
         "used" : [
            "Test::More",
            "strict",
            "warnings"
         ],
         "used_in_eval" : [
            "Pod::Coverage",
            "Test::Pod::Coverage"
         ]
      },
      "t/pod.t" : {
         "mtime" : 1307378030,
         "no_index" : 1,
         "size" : 232,
         "used" : [
            "Test::More",
            "strict",
            "warnings"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "97.73",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 1,
      "meta_yml_declares_perl_version" : 0,
      "meta_yml_has_license" : 1,
      "meta_yml_has_provides" : 0,
      "meta_yml_has_repository_resource" : 1,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1414583579,
   "license" : "perl defined in META.yml",
   "license_from_yaml" : "perl",
   "license_in_pod" : 1,
   "licenses" : {
      "GPL_1" : [
         "lib/Dancer/Plugin/SimpleCRUD.pm"
      ],
      "GPL_2" : [
         "lib/Dancer/Plugin/SimpleCRUD.pm"
      ],
      "GPL_3" : [
         "lib/Dancer/Plugin/SimpleCRUD.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_json_is_parsable" : 1,
   "meta_json_spec_version" : "2",
   "meta_yml" : {
      "abstract" : "very simple CRUD (create/read/update/delete)",
      "author" : [
         "David Precious <davidp@preshweb.co.uk>"
      ],
      "build_requires" : {
         "ExtUtils::MakeMaker" : "0"
      },
      "configure_requires" : {
         "ExtUtils::MakeMaker" : "0"
      },
      "dynamic_config" : "1",
      "generated_by" : "ExtUtils::MakeMaker version 6.82, CPAN::Meta::Converter version 2.120351",
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "Dancer-Plugin-SimpleCRUD",
      "no_index" : {
         "directory" : [
            "t",
            "inc"
         ]
      },
      "requires" : {
         "CGI::FormBuilder" : "0",
         "Dancer" : "1.3",
         "Dancer::Plugin::Database" : "1",
         "HTML::Table::FromDatabase" : "1.1",
         "Test::More" : "0"
      },
      "resources" : {
         "bugtracker" : "https://github.com/bigpresh/Dancer-Plugin-SimpleCRUD/issues",
         "homepage" : "https://github.com/bigpresh/Dancer-Plugin-SimpleCRUD/wiki/Quick-intro",
         "repository" : "https://github.com/bigpresh/Dancer-Plugin-SimpleCRUD"
      },
      "version" : "0.93"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.4",
   "modules" : [
      {
         "file" : "lib/Dancer/Plugin/SimpleCRUD.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Dancer::Plugin::SimpleCRUD"
      }
   ],
   "no_index" : "^inc/;^t/",
   "no_pax_headers" : 1,
   "package" : "Dancer-Plugin-SimpleCRUD-0.93.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "Dancer",
         "type" : "runtime_requires",
         "version" : "1.3"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "ExtUtils::MakeMaker",
         "type" : "build_requires",
         "version" : "0"
      },
      {
         "requires" : "ExtUtils::MakeMaker",
         "type" : "configure_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Dancer::Plugin::Database",
         "type" : "runtime_requires",
         "version" : "1"
      },
      {
         "is_prereq" : 1,
         "requires" : "HTML::Table::FromDatabase",
         "type" : "runtime_requires",
         "version" : "1.1"
      },
      {
         "is_prereq" : 1,
         "requires" : "Test::More",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "CGI::FormBuilder",
         "type" : "runtime_requires",
         "version" : "0"
      }
   ],
   "released_epoch" : 1414583596,
   "size_packed" : 26622,
   "size_unpacked" : 90158,
   "uses" : {
      "required_in_eval_in_code" : {
         "Text::CSV" : 1
      },
      "used_in_code" : {
         "CGI::FormBuilder" : 1,
         "Dancer" : 1,
         "Dancer::Plugin" : 1,
         "Dancer::Plugin::Database" : 1,
         "HTML::Entities" : 1,
         "HTML::Table::FromDatabase" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_eval_in_tests" : {
         "Pod::Coverage" : 1,
         "Test::CheckManifest" : 1,
         "Test::Pod" : 1,
         "Test::Pod::Coverage" : 1
      },
      "used_in_tests" : {
         "Test::More" : 4,
         "strict" : 3,
         "warnings" : 3
      }
   },
   "valid_signature" : -1,
   "version" : "0.93",
   "versions" : {
      "lib/Dancer/Plugin/SimpleCRUD.pm" : {
         "Dancer::Plugin::SimpleCRUD" : "0.93",
         "Dancer::Plugin::SimpleCRUD::ParamsObject" : "0.93"
      }
   },
   "vname" : "Dancer-Plugin-SimpleCRUD-0.93"
}